﻿using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FAuth.DataBase.Tables
{
    /// <summary>
    /// 用户信息
    /// </summary>
    [Table("FUser")]
    public class FUser
    {
        /// <summary>
        /// 用户流水编号
        /// </summary>
        [Key]
        public int Id { get; set; }
        /// <summary>
        /// 用户登录名
        /// </summary>
        [Required, MaxLength(20)]
        public string UserName { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        [Required, MaxLength(20)]
        public string Name { get; set; }
        /// <summary>
        /// 登录密码
        /// </summary>
        [Required, MaxLength(20)]
        public string Password { get; set; }
        /// <summary>
        /// 账号状态
        /// </summary>
        public FUserStatusEnum Status { get; set; }
        /// <summary>
        /// 上次登录时间
        /// </summary>
        public DateTimeOffset? LastLoginDatetime { get; set; }
        /// <summary>
        /// 上次登出时间
        /// </summary>
        public DateTimeOffset? LastLogoutDatetime { get; set; }
    }
}
