﻿using System;
using FAuth.Extensions;
using FAuth.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;

namespace FAuth.Controllers.api
{
    /// <summary>
    /// api控制器基类
    /// </summary>
    [ApiController, Route("api/[Controller]/[Action]")]
    [ServiceFilter(typeof(ApiExceptionFilterAttribute))]
    [ProducesResponseType(typeof(ApiErrorResult),500)]
    public abstract class ApiControllerBase<LoggerType>:ControllerBase<LoggerType>
    {
        public ApiControllerBase(ILogger<LoggerType> logger,IServiceProvider service) : base(logger,service) {
        }
    }
}
